Subject: draft-housley-two-maturity-levels-05

From: Russ Housley <[email-masked]>
Date: Wed, 6 Apr 2011 11:27:07 -0400

This revision proposes a solution to the issue raised by Brian Carpenter about documents lingering at Draft Standard.  Some people thought it was a problem.  Others thought it did not matter.  The proposed solution leaves the matter in the hands of the IESG.

Russ

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: April 6, 2011 11:22:25 AM EDT
> To: [email-masked]
> Cc: [email-masked], [email-masked]
> Subject: New Version Notification for draft-housley-two-maturity-levels-05 
> 
> 
> A new version of I-D, draft-housley-two-maturity-levels-05.txt has been successfully submitted by Russ Housley and posted to the IETF repository.
> 
> Filename:	 draft-housley-two-maturity-levels
> Revision:	 05
> Title:		 Reducing the Standards Track to Two Maturity Levels
> Creation_date:	 2011-04-06
> WG ID:		 Independent Submission
> Number_of_pages: 7
> 
> Abstract:
> This document proposes several changes to the Internet Engineering
> Task Force (IETF) Standards Process defined in RFC 2026, primarily a
> reduction from three IETF standards track maturity levels to two.
> 
> {{ RFC Editor: please change "proposes several changes to the" to
> "changes the". }}
> 
> 
> 
> The IETF Secretariat.
> 
>

---

From: Julian Reschke <[email-masked]>
Date: Wed, 06 Apr 2011 18:45:26 +0200

On 06.04.2011 17:27, Russ Housley wrote:
> ...

A question...:

>    A specification shall remain at the Proposed Standard maturity level
>    for at least six (6) months before consideration for advancement to
>    the Internet Standard maturity level.

It would probably good to clarify when the six month period starts (IESG 
approval? RFC publication?).

Best regards, Julian

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 06 Apr 2011 11:14:39 -0600

On 4/6/11 10:45 AM, Julian Reschke wrote:
>> This revision proposes a solution to the issue raised by Brian
>> Carpenter about documents lingering at Draft Standard.  Some people
>> thought it was a problem.  Others thought it did not matter.  The
>> proposed solution leaves the matter in the hands of the IESG.
>>
>> Russ
>> ...
> 
> A question...:
> 

RFC publication seems sensible -- sometimes it can take more than six
months between IESG approval and RFC publication! (Slow authors during
AUTH48, dependencies on yet-to-be-published specs, etc.)

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Russ Housley <[email-masked]>
Date: Wed, 6 Apr 2011 13:29:48 -0400

Julian:

> It would probably good to clarify when the six month period starts (IESG approval? RFC publication?).

This is not a new question.  It comes up every few years, and it was a big topic a few yers back when there was a long delay between approval and RFC publication.

The 6 months starts with RFC publication.

Russ

---

From: Sam Hartman <[email-masked]>
Date: Wed, 06 Apr 2011 13:38:22 -0400

>>>>> "Russ" == Russ Housley <[email-masked]> writes:

    Russ> The 6 months starts with RFC publication.

Please say that in the draft then.
I had a different take away from the last version of this discussion I
participated in.
I don't care much what the answer is, but it seems clear that it
requires documentation.

Apologies if it is already stated elsewhere in the draft: I have not
read 05 yet.

---

From: Russ Housley <[email-masked]>
Date: Wed, 6 Apr 2011 13:50:29 -0400

> Apologies if it is already stated elsewhere in the draft: I have not

I will add a sentence in -06 to make this clear.

Russ

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 07 Apr 2011 06:22:33 +1200

> This revision proposes a solution to the issue raised by Brian Carpenter about documents lingering at Draft Standard.  Some people thought it was a problem.  Others thought it did not matter.  The…

That seems like a fine approach; it allows common sense to be applied.

   Brian

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Thu, 07 Apr 2011 17:09:47 +0300

> This revision proposes a solution to the issue raised by Brian Carpenter about documents lingering at Draft Standard.  Some people thought it was a problem.  Others thought it did not matter.  The…
I can hardly see my comments from 18 March 
(http://www.ietf.org/mail-archive/web/ietf/current/msg65911.html) 
considered in -05.  Are you planning to make any changes regarding this 
in -06?

Mykyta Yevstifeyev
> Russ
>
>
> Begin forwarded message:
>
>> From: IETF I-D Submission Tool<[email-masked]>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>

---

From: Russ Housley <[email-masked]>
Date: Thu, 7 Apr 2011 14:55:36 -0400

Mykyta:

If this approach is acceptable to the community, implementation reports will no longer be needed at all.

Russ

On Apr 7, 2011, at 10:09 AM, Mykyta Yevstifeyev wrote:

> I can hardly see my comments from 18 March (http://www.ietf.org/mail-archive/web/ietf/current/msg65911.html) considered in -05.  Are you planning to make any changes regarding this in -06?
> 
> Mykyta Yevstifeyev
>> Russ
>> 
>> 
>> Begin forwarded message:
>>

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Fri, 8 Apr 2011 09:30:55 +0300

> no longer be needed at all.
In this case your document should obsolete RFC 5657 and mention this.

Mykyta
>>> This revision proposes a solution to the issue raised by Brian Carpenter
>>> about documents lingering at Draft Standard.  Some people thought it was
>>> a problem.  Others thought it did not matter.  The proposed solution
>>> leaves the matter in the hands of the IESG.
>> considered in -05.  Are you planning to make any changes regarding this in
>> -06?
>>
>> Mykyta Yevstifeyev
>>> Russ
>>>
>>>
>>> Begin forwarded message:
>>>
>>>> A new version of I-D, draft-housley-two-maturity-levels-05.txt has been
>>>> successfully submitted by Russ Housley and posted to the IETF
>>>> repository.
>>>>

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Sun, 17 Apr 2011 11:22:13 +0300

> This revision proposes a solution to the issue raised by Brian Carpenter about documents lingering at Draft Standard.  Some people thought it was a problem.  Others thought it did not matter.  The…
Russ,

Hello again.  I have another minor comment regarding this document.
>
> 4. Downward References Permitted
This section says nothing about references to documents with no status 
("pre-IETF" RFCs).  Maybe informative references to such RFCs should be 
allowed.  And what about normative ones?  Whether the RFC 3967 procedure 
will be used in such cases, or such references are disallowed in 
Standards Track docs?  I think this should also be mentioned in your draft.

Mykyta Yevstifeyev

---

From: Russ Housley <[email-masked]>
Date: Mon, 18 Apr 2011 18:21:35 -0400

Mykyta:

> This section says nothing about references to documents with no status ("pre-IETF" RFCs).  Maybe informative references to such RFCs should be allowed.  And what about normative ones?  Whether the RFC 3967 procedure will be used in such cases, or such references are disallowed in Standards Track docs?  I think this should also be mentioned in your draft.

What does this have to do with moving from two maturity levels?

Russ

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Tue, 19 Apr 2011 17:42:45 +0300

> What does this have to do with moving from two maturity levels?
Mostly nothing, but if you consider that the whole Section 4 is 
appropriate for your document, what I propose is appropriate also.

Mykyta

---

From: Russ Housley <[email-masked]>
Date: Tue, 19 Apr 2011 11:57:24 -0400

Mykyta:

> Mostly nothing, but if you consider that the whole Section 4 is appropriate for your document, what I propose is appropriate also.

I just reviewed RFC 3967.  It does not seem to claim that references to those older documents requires special handling.  I'd like to leave this topic to an update to RFC 3967 if such an update is needed at all.

Russ

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 19 Apr 2011 10:03:28 -0600

> I just reviewed RFC 3967.  It does not seem to claim that references to those older documents requires special handling.  I'd like to leave this topic to an update to RFC 3967 if such an update is…

+1. Let's keep this I-D short and focused.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/